### Method

# Aravis Camera set_register_cache_policy

since: 0.8.8

#### Declaration [src]

    void
    arv_camera_set_register_cache_policy (
      ArvCamera* camera,
      ArvRegisterCachePolicy policy
    )

#### Description [src]

Sets the Genicam register cache policy.

<warning><para>Be aware that some camera may have wrong Cachable properties defined in their Genicam metadata, which may lead to incorrect readouts. Using the debug cache policy, and activating genicam debug output (export ARV_DEBUG=genicam), can help you to check the cache validity. In this mode, every time the cache content is not in sync with the actual register value, a debug message is printed on the console.</para></warning>.

Available since: 0.8.8

#### Parameters

`policy`

  Type: `ArvRegisterCachePolicy`

  Cache policy.